Calendar
Date: 2016-06-24

java.util

## Class Calendar

- java.lang.Object
- - java.util.Calendar

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    GregorianCalendar

      public abstract class Calendar
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AM`
    `static int` | `AM_PM`
    `static int` | `APRIL`
    `protected boolean` | `areFieldsSet`
    `static int` | `AUGUST`
    `static int` | `DATE`
    `static int` | `DAY_OF_MONTH`
    `static int` | `DAY_OF_WEEK`
    `static int` | `DAY_OF_WEEK_IN_MONTH`
    `static int` | `DAY_OF_YEAR`
    `static int` | `DECEMBER`
    `static int` | `DST_OFFSET`
    `static int` | `ERA`
    `static int` | `FEBRUARY`
    `static int` | `FIELD_COUNT`
    `protected int[]` | `fields`
    `static int` | `FRIDAY`
    `static int` | `HOUR`
    `static int` | `HOUR_OF_DAY`
    `protected boolean[]` | `isSet`
    `protected boolean` | `isTimeSet`
    `static int` | `JANUARY`
    `static int` | `JULY`
    `static int` | `JUNE`
    `static int` | `MARCH`
    `static int` | `MAY`
    `static int` | `MILLISECOND`
    `static int` | `MINUTE`
    `static int` | `MONDAY`
    `static int` | `MONTH`
    `static int` | `NOVEMBER`
    `static int` | `OCTOBER`
    `static int` | `PM`
    `static int` | `SATURDAY`
    `static int` | `SECOND`
    `static int` | `SEPTEMBER`
    `static int` | `SUNDAY`
    `static int` | `THURSDAY`
    `protected long` | `time`
    `static int` | `TUESDAY`
    `static int` | `UNDECIMBER`
    `static int` | `WEDNESDAY`
    `static int` | `WEEK_OF_MONTH`
    `static int` | `WEEK_OF_YEAR`
    `static int` | `YEAR`
    `static int` | `ZONE_OFFSET`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Calendar()`
    `protected` | `Calendar(TimeZone var0, Locale var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(int var0, int var1)`
    `boolean` | `after(Object var0)`
    `boolean` | `before(Object var0)`
    `void` | `clear()`
    `void` | `clear(int var0)`
    `Object` | `clone()`
    `protected void` | `complete()`
    `protected abstract void` | `computeFields()`
    `protected abstract void` | `computeTime()`
    `int` | `get(int var0)`
    `int` | `getActualMaximum(int var0)`
    `int` | `getActualMinimum(int var0)`
    `static Locale[]` | `getAvailableLocales()`
    `int` | `getFirstDayOfWeek()`
    `abstract int` | `getGreatestMinimum(int var0)`
    `static Calendar` | `getInstance()`
    `static Calendar` | `getInstance(Locale var0)`
    `static Calendar` | `getInstance(TimeZone var0)`
    `static Calendar` | `getInstance(TimeZone var0, Locale var1)`
    `abstract int` | `getLeastMaximum(int var0)`
    `abstract int` | `getMaximum(int var0)`
    `int` | `getMinimalDaysInFirstWeek()`
    `abstract int` | `getMinimum(int var0)`
    `Date` | `getTime()`
    `long` | `getTimeInMillis()`
    `TimeZone` | `getTimeZone()`
    `protected int` | `internalGet(int var0)`
    `boolean` | `isLenient()`
    `boolean` | `isSet(int var0)`
    `abstract void` | `roll(int var0, boolean var1)`
    `void` | `roll(int var0, int var1)`
    `void` | `set(int var0, int var1)`
    `void` | `set(int var0, int var1, int var2)`
    `void` | `set(int var0, int var1, int var2, int var3, int var4)`
    `void` | `set(int var0, int var1, int var2, int var3, int var4, int var5)`
    `void` | `setFirstDayOfWeek(int var0)`
    `void` | `setLenient(boolean var0)`
    `void` | `setMinimalDaysInFirstWeek(int var0)`
    `void` | `setTime(Date var0)`
    `void` | `setTimeInMillis(long var0)`
    `void` | `setTimeZone(TimeZone var0)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AM

          public static final int AM

      See Also:
        Constant Field Values

    - #### AM_PM

          public static final int AM_PM

      See Also:
        Constant Field Values

    - #### APRIL

          public static final int APRIL

      See Also:
        Constant Field Values

    - #### AUGUST

          public static final int AUGUST

      See Also:
        Constant Field Values

    - #### DATE

          public static final int DATE

      See Also:
        Constant Field Values

    - #### DAY_OF_MONTH

          public static final int DAY_OF_MONTH

      See Also:
        Constant Field Values

    - #### DAY_OF_WEEK

          public static final int DAY_OF_WEEK

      See Also:
        Constant Field Values

    - #### DAY_OF_WEEK_IN_MONTH

          public static final int DAY_OF_WEEK_IN_MONTH

      See Also:
        Constant Field Values

    - #### DAY_OF_YEAR

          public static final int DAY_OF_YEAR

      See Also:
        Constant Field Values

    - #### DECEMBER

          public static final int DECEMBER

      See Also:
        Constant Field Values

    - #### DST_OFFSET

          public static final int DST_OFFSET

      See Also:
        Constant Field Values

    - #### ERA

          public static final int ERA

      See Also:
        Constant Field Values

    - #### FEBRUARY

          public static final int FEBRUARY

      See Also:
        Constant Field Values

    - #### FIELD_COUNT

          public static final int FIELD_COUNT

      See Also:
        Constant Field Values

    - #### FRIDAY

          public static final int FRIDAY

      See Also:
        Constant Field Values

    - #### HOUR

          public static final int HOUR

      See Also:
        Constant Field Values

    - #### HOUR_OF_DAY

          public static final int HOUR_OF_DAY

      See Also:
        Constant Field Values

    - #### JANUARY

          public static final int JANUARY

      See Also:
        Constant Field Values

    - #### JULY

          public static final int JULY

      See Also:
        Constant Field Values

    - #### JUNE

          public static final int JUNE

      See Also:
        Constant Field Values

    - #### MARCH

          public static final int MARCH

      See Also:
        Constant Field Values

    - #### MAY

          public static final int MAY

      See Also:
        Constant Field Values

    - #### MILLISECOND

          public static final int MILLISECOND

      See Also:
        Constant Field Values

    - #### MINUTE

          public static final int MINUTE

      See Also:
        Constant Field Values

    - #### MONDAY

          public static final int MONDAY

      See Also:
        Constant Field Values

    - #### MONTH

          public static final int MONTH

      See Also:
        Constant Field Values

    - #### NOVEMBER

          public static final int NOVEMBER

      See Also:
        Constant Field Values

    - #### OCTOBER

          public static final int OCTOBER

      See Also:
        Constant Field Values

    - #### PM

          public static final int PM

      See Also:
        Constant Field Values

    - #### SATURDAY

          public static final int SATURDAY

      See Also:
        Constant Field Values

    - #### SECOND

          public static final int SECOND

      See Also:
        Constant Field Values

    - #### SEPTEMBER

          public static final int SEPTEMBER

      See Also:
        Constant Field Values

    - #### SUNDAY

          public static final int SUNDAY

      See Also:
        Constant Field Values

    - #### THURSDAY

          public static final int THURSDAY

      See Also:
        Constant Field Values

    - #### TUESDAY

          public static final int TUESDAY

      See Also:
        Constant Field Values

    - #### UNDECIMBER

          public static final int UNDECIMBER

      See Also:
        Constant Field Values

    - #### WEDNESDAY

          public static final int WEDNESDAY

      See Also:
        Constant Field Values

    - #### WEEK_OF_MONTH

          public static final int WEEK_OF_MONTH

      See Also:
        Constant Field Values

    - #### WEEK_OF_YEAR

          public static final int WEEK_OF_YEAR

      See Also:
        Constant Field Values

    - #### YEAR

          public static final int YEAR

      See Also:
        Constant Field Values

    - #### ZONE_OFFSET

          public static final int ZONE_OFFSET

      See Also:
        Constant Field Values

    - #### areFieldsSet

          protected boolean areFieldsSet

    - #### fields

          protected int[] fields

    - #### isSet

          protected boolean[] isSet

    - #### isTimeSet

          protected boolean isTimeSet

    - #### time

          protected long time

  - ### Constructor Detail

    - #### Calendar

          protected Calendar()

    - #### Calendar

          protected Calendar(TimeZone var0,
                  Locale var1)

  - ### Method Detail

    - #### add

          public abstract void add(int var0,
                 int var1)

    - #### after

          public boolean after(Object var0)

    - #### before

          public boolean before(Object var0)

    - #### clear

          public final void clear()

    - #### clear

          public final void clear(int var0)

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### complete

          protected void complete()

    - #### computeFields

          protected abstract void computeFields()

    - #### computeTime

          protected abstract void computeTime()

    - #### get

          public int get(int var0)

    - #### getActualMaximum

          public int getActualMaximum(int var0)

    - #### getActualMinimum

          public int getActualMinimum(int var0)

    - #### getAvailableLocales

          public static Locale[] getAvailableLocales()

    - #### getFirstDayOfWeek

          public int getFirstDayOfWeek()

    - #### getGreatestMinimum

          public abstract int getGreatestMinimum(int var0)

    - #### getInstance

          public static Calendar getInstance()

    - #### getInstance

          public static Calendar getInstance(Locale var0)

    - #### getInstance

          public static Calendar getInstance(TimeZone var0)

    - #### getInstance

          public static Calendar getInstance(TimeZone var0,
                             Locale var1)

    - #### getLeastMaximum

          public abstract int getLeastMaximum(int var0)

    - #### getMaximum

          public abstract int getMaximum(int var0)

    - #### getMinimalDaysInFirstWeek

          public int getMinimalDaysInFirstWeek()

    - #### getMinimum

          public abstract int getMinimum(int var0)

    - #### getTime

          public final Date getTime()

    - #### getTimeInMillis

          public long getTimeInMillis()

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### internalGet

          protected final int internalGet(int var0)

    - #### isLenient

          public boolean isLenient()

    - #### isSet

          public final boolean isSet(int var0)

    - #### roll

          public void roll(int var0,
                  int var1)

    - #### roll

          public abstract void roll(int var0,
                  boolean var1)

    - #### set

          public void set(int var0,
                 int var1)

    - #### set

          public final void set(int var0,
                 int var1,
                 int var2)

    - #### set

          public final void set(int var0,
                 int var1,
                 int var2,
                 int var3,
                 int var4)

    - #### set

          public final void set(int var0,
                 int var1,
                 int var2,
                 int var3,
                 int var4,
                 int var5)

    - #### setFirstDayOfWeek

          public void setFirstDayOfWeek(int var0)

    - #### setLenient

          public void setLenient(boolean var0)

    - #### setMinimalDaysInFirstWeek

          public void setMinimalDaysInFirstWeek(int var0)

    - #### setTime

          public final void setTime(Date var0)

    - #### setTimeInMillis

          public void setTimeInMillis(long var0)

    - #### setTimeZone

          public void setTimeZone(TimeZone var0)